数据提供商: DataForSEO
使用 DataForSEO 在选定的主题类别中查找 Google 关键词
默认输入规模下,每次调用 $0.024在 30 秒内响应
将归类在所选产品和服务类别下的 Google 关键词汇总在同一个位置,并以同一种语言进行展示。提供分类代码;每一行都代表这些分类中的一个关键词,其中列出了该关键词的搜索量、每次点击的费用、竞争程度以及每月的搜索量变化情况。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/dataforseo_labs/google/keywords_for_categories/live on Glasser.bash
glasser run -p dataforseo -e '/v3/dataforseo_labs/google/keywords_for_categories/live' -i '{"language_code":"en","location_code":2840,"category_codes":[12191,12193]}' --endpoint-version 8使用接口版本 8。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/dataforseo_labs/google/keywords_for_categories/live","input":{"language_code":"en","location_code":2840,"category_codes":[12191,12193]},"endpoint_version":8}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 8,运行前请确认当前价格。
第 2 步尝试一个具体任务
为商品或主题选择分类时,可以审阅可用选项,找到最接近的分类。
复制此提示词到你的 Agent,为商品或主题查找分类。
提示词
Use dataforseo:/v3/dataforseo_labs/google/keywords_for_categories/live on Glasser.
Find the category that best matches my product or topic in the returned list.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"category_codes"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 1000,
"minimum": 1
},
"offset": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"order_by": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 3,
"description": "DataForSEO sorting rules, passed through unchanged: up to 3 \"field,asc\" or \"field,desc\" strings, using the same field names as filters."
},
"offset_token": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"category_codes": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 20,
"minItems": 1
},
"ignore_synonyms": {
"type": "boolean"
},
"include_serp_info": {
"type": "boolean"
},
"category_intersection": {
"type": "boolean"
},
"include_clickstream_data": {
"type": "boolean",
"description": "Add clickstream-based metrics. DataForSEO doubles the price of the call."
}
},
"additionalProperties": false
}json
{
"language_code": "en",
"location_code": 2840,
"category_codes": [
12191,
12193
]
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 默认输入规模 | 更大的输入和付费选项会随数据提供商的用量而改变费用。 | $0.024 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.264 |
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.012 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |